const system = require("../../../system");
const settings = require("../../../../config/settings");
const uiconfig = system.getUiConfig2(settings.appKey);
module.exports = (db, DataTypes) => {
  return db.define("cscheme", {
    deliver_id: DataTypes.STRING ,defaultValue:'', comment:'交付商ID',
    clue_type_name: { type: DataTypes.STRING, allowNull: true, defaultValue: "", COMMENT: '商品类型' },
    name: { type: DataTypes.STRING, allowNull: true, defaultValue: "", COMMENT: '个体户名称' },
    business_place: { type: DataTypes.STRING, allowNull: true, defaultValue: "", COMMENT: '注册场所' },
    legal_name: { type: DataTypes.STRING, allowNull: true, defaultValue: "", COMMENT: '经营者' },
    legal_mobile: { type: DataTypes.STRING, allowNull: true, defaultValue: "1", COMMENT: '联系电话' },
    service_ids: { type: DataTypes.STRING, allowNull: true, defaultValue: "0", COMMENT: '服务IDs' },
    business_type: { type: DataTypes.STRING, allowNull: true, defaultValue: "", COMMENT: '经营范围' },
    businessscope: { type: DataTypes.STRING, allowNull: true, defaultValue: "", COMMENT: '经营范围详情' },
    business_type_id: { type: DataTypes.STRING, allowNull: true, defaultValue: "", COMMENT: '经营范围ID' },
    remarks: { type: DataTypes.STRING, allowNull: true, defaultValue: "", COMMENT: '备注' },
  }, {
    paranoid: true, //假的删除
    underscored: true,
    version: true,
    freezeTableName: true,
    tableName: 'c_scheme',
    validate: {},
    indexes: [],
  });
}